      SUBROUTINE ASSGN (N,A,C,T,IWK,IERR)
C     -------------------
C     SOLUTION OF THE ASSIGNMENT PROBLEM
C     -------------------
      INTEGER A(N,1), C(N), T, IWK(1)
C
      I1 = N + 1
      I2 = I1 + N
      I3 = I2 + N
      I4 = I3 + N + 1
      I5 = I4 + N
      I6 = I5 + N
      CALL ASSGN1(N,A,C,T,IWK(1),IWK(I1),IWK(I2),IWK(I3),IWK(1),
     *            IWK(I3),IWK(I4),IWK(I5),IWK(I6),IERR)
      RETURN
      END
